at.chipkarte.client.elgaad.soap

## Class MedikationFilterkriterien

- Object
- - at.chipkarte.client.elgaad.soap.MedikationFilterkriterien

-     public class MedikationFilterkriterien
      extends Object

  Filterkriterien für die Suche nach e-Medikationsdaten.
  Siehe `rezeptAbrufen()` und `abgabenAbrufen()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MedikationFilterkriterien()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Name[]` | `getAuthorPersonList()` Namensdaten der Autoren, auf welche die Suche eingeschränkt werden soll.
    `String` | `getCreationTimeFrom()` Frühester Erstellungszeitpunkt von Medikationsdaten, auf welchen die Suche eingeschränkt werden soll.
    `String` | `getCreationTimeTo()` Spätester Erstellungszeitpunkt von Medikationsdaten, auf welchen die Suche eingeschränkt werden soll.
    `String[]` | `getDokumentenIdList()` Liste von EMED-IDs, auf welche die Suche eingeschränkt werden soll.
    `Code[]` | `getEventCodeList()` Vollbrachte Gesundheitsdienstleistungen, auf welche die Suche eingeschränkt werden soll (lediglich bei der Suche nach Rezepten anwendbar).
    `Code[]` | `getHealthcareFacilityTypeCodeList()` Klassifizierungen des GDAs aufgrund der Art der Gesundheitsdienste-Einrichtung, auf welche die Suche eingeschränkt werden soll.
    `Code[]` | `getPracticeSettingCodeList()` Liste der fachlichen Zuordnungen, auf welche die Suche eingeschränkt werden soll.
    `void` | `setAuthorPersonList(Name[] authorPersonList)`
    `void` | `setCreationTimeFrom(String creationTimeFrom)`
    `void` | `setCreationTimeTo(String creationTimeTo)`
    `void` | `setDokumentenIdList(String[] dokumentenIdList)`
    `void` | `setEventCodeList(Code[] eventCodeList)`
    `void` | `setHealthcareFacilityTypeCodeList(Code[] healthcareFacilityTypeCodeList)`
    `void` | `setPracticeSettingCodeList(Code[] practiceSettingCodeList)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MedikationFilterkriterien

          public MedikationFilterkriterien()

  - ### Method Detail

    - #### getDokumentenIdList

          public String[] getDokumentenIdList()

      Liste von EMED-IDs, auf welche die Suche eingeschränkt werden soll.
      Angabe: Kann.
      Format: 12 stellig
      Returns:
        Liste von EMED-Ids

    - #### getPracticeSettingCodeList

          public Code[] getPracticeSettingCodeList()

      Liste der fachlichen Zuordnungen, auf welche die Suche eingeschränkt werden soll. Siehe `Code`.
      Angabe: Kann
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_PracticeSetting_VS (z.B. Code F001)
      Returns:
        Liste von fachlichen Zuordnungen

    - #### getCreationTimeFrom

          public String getCreationTimeFrom()

      Frühester Erstellungszeitpunkt von Medikationsdaten, auf welchen die Suche eingeschränkt werden soll.
      Angabe: Kann
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Erstellungszeitpunkt Ab

    - #### getCreationTimeTo

          public String getCreationTimeTo()

      Spätester Erstellungszeitpunkt von Medikationsdaten, auf welchen die Suche eingeschränkt werden soll.
      Angabe: Kann
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Erstellungszeitpunkt Bis

    - #### getHealthcareFacilityTypeCodeList

          public Code[] getHealthcareFacilityTypeCodeList()

      Klassifizierungen des GDAs aufgrund der Art der Gesundheitsdienste-Einrichtung, auf welche die Suche eingeschränkt werden soll. Siehe `Code`.
      Angabe: Kann
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_HealthcareFacilityTypeCode (z.B. Code 100)
      Returns:
        Liste von Klassifizierungen

    - #### getEventCodeList

          public Code[] getEventCodeList()

      Vollbrachte Gesundheitsdienstleistungen, auf welche die Suche eingeschränkt werden soll (lediglich bei der Suche nach Rezepten anwendbar). Siehe `Code`.
      Angabe: Kann
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_MedikationRezeptart_VS (z.B. KASSEN)
      Returns:
        Liste von Gesundheitsdienstleistungen

    - #### getAuthorPersonList

          public Name[] getAuthorPersonList()

      Namensdaten der Autoren, auf welche die Suche eingeschränkt werden soll. Siehe `Name`.
      Angabe: Kann
      Returns:
        Liste von Authorennamen

    - #### setDokumentenIdList

          public void setDokumentenIdList(String[] dokumentenIdList)

    - #### setPracticeSettingCodeList

          public void setPracticeSettingCodeList(Code[] practiceSettingCodeList)

    - #### setCreationTimeFrom

          public void setCreationTimeFrom(String creationTimeFrom)

    - #### setCreationTimeTo

          public void setCreationTimeTo(String creationTimeTo)

    - #### setHealthcareFacilityTypeCodeList

          public void setHealthcareFacilityTypeCodeList(Code[] healthcareFacilityTypeCodeList)

    - #### setEventCodeList

          public void setEventCodeList(Code[] eventCodeList)

    - #### setAuthorPersonList

          public void setAuthorPersonList(Name[] authorPersonList)